
#ifndef RAM_H
#define RAM_H

#include "Memory.h"

class RAM : public Memory
{

    public:
        RAM();
        RAM(INT32 size, INT32 location, INT32 bitWidth);
        void init(INT32 size, INT32 location, INT32 bitWidth);
        ~RAM();
        void reset();
        INT32 getLocation();
        virtual INT32 peek(INT32 location);
        virtual void poke(INT32 location, INT32 value);
        INT32 getSize();
/*
    public void save(SaveOutputStream os) throws IOException;
    public void load(LoadInputStream is) throws IOException;
*/

    private:
        INT32  size;
        INT32  location;
        INT32  bitWidth;
        INT32  trimmer;
        INT32* image;

};

#endif

