
#ifndef DIRECTXINPUTDEVICE_H
#define DIRECTXINPUTDEVICE_H

#include "Intellivision.h"
#include "InputDevice.h"
#include "InputSignal.h"

class DirectInputDevice : public InputDevice
{

    public:
        DirectInputDevice();
        void getDefaultConfiguration(INT32 deviceID, INT32 controlID,
                InputSignal** config);
        INT32 init(Intellivision* inty);
        void poll();
        float getSignalValue(InputSignal* signal);
        void release(Intellivision* inty);

};

#endif
