
#ifndef DIRECTINPUTSIGNAL_H
#define DIRECTINPUTSIGNAL_H

#include "InputSignal.h"

class DirectInputDevice;

class DirectInputSignal : public InputSignal
{
    friend class DirectInputDevice;

    private:
        DirectInputSignal(UINT64 did, UINT64 cid) {
            this->deviceID = did;
            this->controlID = cid;
        }
        UINT64 deviceID;
        UINT64 controlID;

};

#endif
