
#ifndef AY38900_REGISTERS_H
#define AY38900_REGISTERS_H

#include "RAM.h"

class AY38900;

class AY38900_Registers : public RAM
{
    friend class AY38900;

    public:
        void poke(INT32 location, INT32 value);
        INT32 peek(INT32 location);

    private:
        AY38900_Registers();
        void init(AY38900* ay38900);

        AY38900* ay38900;

};

#endif
